Nimply Developers
API ReferenceAnalytics

Channel analytics

GET
/v1/analytics/channels/{id}

Daily profile metrics (followers, engagement, impressions, reach) for one channel. Defaults to the last 30 days.

AuthorizationBearer <token>

Workspace API key (nim_live_...)

In: header

Path Parameters

id*string

Channel id

Query Parameters

from?string

Range start (ISO 8601). Defaults to 30 days ago.

to?string

Range end (ISO 8601). Defaults to now.

Response Body

application/json

curl -X GET "https://example.com/v1/analytics/channels/string"
{  "channelId": "123e4567-e89b-12d3-a456-426614174000",  "from": "2026-06-01T00:00:00.000Z",  "to": "2026-07-01T00:00:00.000Z",  "metrics": [    {      "date": "2026-07-01T00:00:00.000Z",      "followers": 12840,      "engagement": 4.2,      "impressions": 48211,      "reach": 35102,      "profileViews": 923,      "websiteClicks": 87    }  ]}
Empty